Get a single enrichment job
curl --request GET \
--url https://api.repromptai.com/v1/{org}/place_enrichment/jobs/{place_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.repromptai.com/v1/{org}/place_enrichment/jobs/{place_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.repromptai.com/v1/{org}/place_enrichment/jobs/{place_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"place_id": "<string>",
"status": "<string>",
"job_metadata": {
"attribute_status": {},
"last_enriched": "2023-11-07T05:31:56Z",
"enrichment_metadata": {},
"country_code": "<string>"
},
"inputs": {
"name": "<string>",
"full_address": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123,
"category": "<string>",
"website": "<string>",
"phone": "<string>",
"id": "<string>",
"input_type": "place",
"wkt_geometry": "<string>",
"street": "<string>",
"city": "<string>",
"house": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"opening_hours": {},
"source": "<string>"
},
"outputs": {},
"reasoning": {},
"confidence_scores": {
"open_closed_status": "VERY_HIGH",
"phone": "VERY_HIGH",
"website": "VERY_HIGH",
"address": "VERY_HIGH",
"categories": "VERY_HIGH",
"opening_hours": "VERY_HIGH",
"entity_type": "VERY_HIGH",
"name": "VERY_HIGH",
"parking_spaces": "VERY_HIGH",
"parking_spaces_total": "VERY_HIGH",
"parking_spaces_street": "VERY_HIGH",
"parking_spaces_shared": "VERY_HIGH",
"parking_spaces_dedicated": "VERY_HIGH",
"chain": "VERY_HIGH",
"tiktok": "VERY_HIGH",
"price_tier": "VERY_HIGH",
"approximate_user_reviews": "VERY_HIGH",
"menu": "VERY_HIGH",
"school_geofence": "VERY_HIGH"
}
}jobs
Get a single enrichment job
GET
/
place_enrichment
/
jobs
/
{place_id}
Get a single enrichment job
curl --request GET \
--url https://api.repromptai.com/v1/{org}/place_enrichment/jobs/{place_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.repromptai.com/v1/{org}/place_enrichment/jobs/{place_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.repromptai.com/v1/{org}/place_enrichment/jobs/{place_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"place_id": "<string>",
"status": "<string>",
"job_metadata": {
"attribute_status": {},
"last_enriched": "2023-11-07T05:31:56Z",
"enrichment_metadata": {},
"country_code": "<string>"
},
"inputs": {
"name": "<string>",
"full_address": "<string>",
"country_code": "<string>",
"latitude": 123,
"longitude": 123,
"category": "<string>",
"website": "<string>",
"phone": "<string>",
"id": "<string>",
"input_type": "place",
"wkt_geometry": "<string>",
"street": "<string>",
"city": "<string>",
"house": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"opening_hours": {},
"source": "<string>"
},
"outputs": {},
"reasoning": {},
"confidence_scores": {
"open_closed_status": "VERY_HIGH",
"phone": "VERY_HIGH",
"website": "VERY_HIGH",
"address": "VERY_HIGH",
"categories": "VERY_HIGH",
"opening_hours": "VERY_HIGH",
"entity_type": "VERY_HIGH",
"name": "VERY_HIGH",
"parking_spaces": "VERY_HIGH",
"parking_spaces_total": "VERY_HIGH",
"parking_spaces_street": "VERY_HIGH",
"parking_spaces_shared": "VERY_HIGH",
"parking_spaces_dedicated": "VERY_HIGH",
"chain": "VERY_HIGH",
"tiktok": "VERY_HIGH",
"price_tier": "VERY_HIGH",
"approximate_user_reviews": "VERY_HIGH",
"menu": "VERY_HIGH",
"school_geofence": "VERY_HIGH"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Confidence scores for various attributes
Show child attributes
Show child attributes